using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Placement : BeWoEntityBase
    {
        public static string PropertyName_Objective = "Objective";

        public static string PropertyName_PlacementDate = "PlacementDate";

        private ValueListEntry _Objective;

        private DateTime? _PlacementDate;

        public Placement()
        {
            this._Tid = TableID.Placement;
        }

        public virtual ValueListEntry Objective
        {
            get
            {
                return this._Objective;
            }

            set
            {
                if (this.AreDifferent(this._Objective, value))
                {
                    this._Objective = value;
                }
            }
        }

        public virtual DateTime? PlacementDate
        {
            get
            {
                return this._PlacementDate;
            }

            set
            {
                if (this.AreDifferent(this._PlacementDate, value))
                {
                    this._PlacementDate = value;
                }
            }
        }
    }
}